EDIT - bug #6262

Implement Rights reusable in TaxEditor
12/09/2016 11:40 AM - Andreas Muller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal Found in Version:

Description

Since #5762 Rights are reusable. This is important e.g. for copyright statements for image where statements are used for a large
number of media (e.g. salvador).

So we need to be able to

e choose from existing Rights
e warning if one edits existing Rights that they might be used at many places

a Rights bulk editor (not so urgent)
* .7

Related issues:

Related to EDIT - feature request #6487: Implement warning for multiple used ... New
Related to EDIT - bug #6544: Bulkeditor for Rights New
Related to EDIT - bug #7091: Add uri field and abbreviatedText to Righs in su... Closed

Associated revisions

Revision bce90273 - 02/15/2017 03:19 PM - Katja Luther

ref #6262: create dao and service for rights

Revision 7e4c5c5b - 02/17/2017 10:53 AM - Katja Luther

ref #6262: adding funtionality to library to access rights for selection dialog

Revision 8dbcbc43 - 02/17/2017 10:57 AM - Katja Luther
fix #6262: add possibility to reuse rights in editor

History

#1 - 12/09/2016 11:40 AM - Andreas Miiller
- Due date set to 12/12/2016
- Start date changed from 12/09/2016 to 12/12/2016

#2 - 01/19/2017 01:32 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#3 - 02/15/2017 03:16 PM - Katja Luther

- Status changed from New to In Progress

for reusability of rights we need a service to get the text and the uuid of the rights, maybe it would be nice to have the titleCache of the agent?

#4 - 02/15/2017 05:13 PM - Andreas Miiller

Katja Luther wrote:

for reusability of rights we need a service to get the text and the uuid of the rights, maybe it would be nice to have the titleCache of the agent?

Don't know if | understand this exactly. Are you generally looking for a label to use? This is definetely the label inherited from LanguageString. Or are
you suggesting that we could also add the agent information to the label to be more explicit?
#5 - 02/16/2017 08:31 AM - Katja Luther

Andreas Miller wrote:
Katja Luther wrote:
for reusability of rights we need a service to get the text and the uuid of the rights, maybe it would be nice to have the titleCache of the

agent?

Don't know if | understand this exactly. Are you generally looking for a label to use? This is definetely the label inherited from LanguageString. Or
are you suggesting that we could also add the agent information to the label to be more explicit?

Yes | thought about adding the agent to the label, because maybe the label is not enough, if there are different rights with the same or similar text.
And maybe the user don't know the text but the rights holder and therefore he or she wants to search for the agent?

#6 - 02/17/2017 10:57 AM - Katja Luther
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|8dbcbc43e5cc155eea9d70af88fc937325fb1927.

#7 - 03/09/2017 03:06 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#8 - 03/10/2017 02:02 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
Seems to work (at least when removing unique key from MN tables).

Open issues:

e warning about multiple uses (handled now in a separate and general ticket #6487)
¢ Bulk Editor (please open new ticket or add to existing bulk editor ticket)

Generally this ticket can be closed

#9 - 03/10/2017 02:03 AM - Andreas Miiller

- Related to feature request #6487: Implement warning for multiple used records where ever needed added

#10 - 03/29/2017 11:08 AM - Katja Luther
- Status changed from Feedback to Closed
- % Done changed from 50 to 100

#11 - 03/29/2017 11:11 AM - Katja Luther
- Related to bug #6544: Bulkeditor for Rights added

#12 - 11/24/2017 03:23 PM - Andreas Miiller
- Related to bug #7091: Add uri field and abbreviatedText to Righs in supplemental data added
